commit 6f4226ff6e8fa32636153993e2c29e96828bfdb0
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Sat Sep 26 00:17:01 2020 +0000

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 8987bb13dbf..d42ed884c88 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,23 @@
+2020-09-25  Vladimir N. Makarov  <vmakarov@redhat.com>
+
+	Backported from master:
+	2020-06-04  Vladimir Makarov  <vmakarov@redhat.com>
+
+	PR middle-end/95464
+	* lra.c (lra_emit_move): Add processing STRICT_LOW_PART.
+	* lra-constraints.c (match_reload): Use STRICT_LOW_PART in output
+	reload if the original insn has it too.
+
+2020-09-25  Joe Ramsay  <Joe.Ramsay@arm.com>
+
+	Backported from master:
+	2020-08-20  Joe Ramsay  <Joe.Ramsay@arm.com>
+
+	PR target/96683
+	* config/arm/mve.md (mve_vst1q_f<mode>): Require MVE memory operand for
+	destination.
+	(mve_vst1q_<supf><mode>): Likewise.
+
 2020-09-24  H.J. Lu  <hjl.tools@gmail.com>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index cfe4a2ef954..bfdd19d304c 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20200925
+20200926
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 3b1f8c92c76..e270d7b8894 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,23 @@
+2020-09-25  Vladimir N. Makarov  <vmakarov@redhat.com>
+
+	Backported from master:
+	2020-06-04  Vladimir Makarov  <vmakarov@redhat.com>
+
+	PR middle-end/95464
+	* gcc.target/i386/pr95464.c: New.
+
+2020-09-25  Joe Ramsay  <Joe.Ramsay@arm.com>
+
+	Backported from master:
+	2020-08-20  Joe Ramsay  <Joe.Ramsay@arm.com>
+
+	PR target/96683
+	* gcc.target/arm/mve/intrinsics/vst1q_f16.c: New test.
+	* gcc.target/arm/mve/intrinsics/vst1q_s16.c: New test.
+	* gcc.target/arm/mve/intrinsics/vst1q_s8.c: New test.
+	* gcc.target/arm/mve/intrinsics/vst1q_u16.c: New test.
+	* gcc.target/arm/mve/intrinsics/vst1q_u8.c: New test.
+
 2020-09-24  H.J. Lu  <hjl.tools@gmail.com>
 
 	Backported from master:

